StructuredTaskScope.Subtask.State (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.util.concurrent, interface: StructuredTaskScope, interface: Subtask, enum: State
Keywords: java.util.concurrent.StructuredTaskScope.Subtask.State class

# Enum Class StructuredTaskScope.Subtask.State

java.lang.Object
java.lang.Enum<StructuredTaskScope.Subtask.StatePREVIEW>
java.util.concurrent.StructuredTaskScope.Subtask.State

All Implemented Interfaces:
  `Serializable, Comparable<StructuredTaskScope.Subtask.StatePREVIEW>, Constable`

Enclosing interface:
  `StructuredTaskScope.SubtaskPREVIEW<T>`

public static enum StructuredTaskScope.Subtask.State extends Enum<StructuredTaskScope.Subtask.StatePREVIEW>
`State` is a preview API of the Java platform.
Programs can only use `State` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Represents the state of a subtask.

Since:
  21
See Also:
  - `StructuredTaskScope.Subtask.state()`PREVIEW

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`
  Modifier and Type
  Class
  Description
  `static final class`
  `Enum.EnumDesc<E extends Enum<E>>`
  A nominal descriptor for an `enum` constant.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FAILED`
  The subtask failed with an exception.
  `SUCCESS`
  The subtask completed successfully.
  `UNAVAILABLE`
  The subtask result or exception is not available.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StructuredTaskScope.Subtask.StatePREVIEW`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StructuredTaskScope.Subtask.StatePREVIEW[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`
  Modifier and Type
  Method
  Description
  `protected final Object`
  `clone()`
  Throws CloneNotSupportedException.
  `final int`
  `compareTo(StructuredTaskScope.Subtask.StatePREVIEW o)`
  Compares this enum with the specified object for order.
  `final Optional<Enum.EnumDesc<StructuredTaskScope.Subtask.StatePREVIEW>>`
  `describeConstable()`
  Returns an enum descriptor `EnumDesc` for this instance, if one can be constructed, or an empty `Optional` if one cannot be.
  `final boolean`
  `equals(Object other)`
  Returns true if the specified object is equal to this enum constant.
  `protected final void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization has been deprecated for removal.
  `final Class<StructuredTaskScope.Subtask.StatePREVIEW>`
  `getDeclaringClass()`
  Returns the Class object corresponding to this enum constant's enum type.
  `final int`
  `hashCode()`
  Returns a hash code for this enum constant.
  `final String`
  `name()`
  Returns the name of this enum constant, exactly as declared in its enum declaration.
  `final int`
  `ordinal()`
  Returns the ordinal of this enumeration constant (its position in its enum declaration, where the initial constant is assigned an ordinal of zero).
  `String`
  `toString()`
  Returns the name of this enum constant, as contained in the declaration.
  `static <T extends Enum<T>>
  T`
  `valueOf(Class<T> enumClass, String name)`
  Returns the enum constant of the specified enum class with the specified name.

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Enum Constant Details

  - ### UNAVAILABLE

    public static final StructuredTaskScope.Subtask.StatePREVIEW UNAVAILABLE
    The subtask result or exception is not available. This state indicates that the subtask was forked but has not completed, it completed after the scope was cancelled, or it was forked after the scoped was cancelled (in which case a thread was not created to execute the subtask).

  - ### SUCCESS

    public static final StructuredTaskScope.Subtask.StatePREVIEW SUCCESS
    The subtask completed successfully. The `Subtask.get()`PREVIEW method can be used to get the result. This is a terminal state.

  - ### FAILED

    public static final StructuredTaskScope.Subtask.StatePREVIEW FAILED
    The subtask failed with an exception. The `Subtask.exception()`PREVIEW method can be used to get the exception. This is a terminal state.

- ## Method Details

  - ### values

    public static StructuredTaskScope.Subtask.StatePREVIEW[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StructuredTaskScope.Subtask.StatePREVIEW valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null